CoordInfoFormatter (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.coordFormatter
Interface CoordInfoFormatter

All Superinterfaces:
  PropertyConsumer

All Known Implementing Classes:
  BasicCoordInfoFormatter, DMSCoordInfoFormatter, MGRSCoordInfoFormatter

    public interface CoordInfoFormatter

extends PropertyConsumer

A CoordInfoFormatter is an object that can create a String for display from coordinate information.

Author:
  dietrick

Field Summary

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Method Summary
`java.lang.String` | `createCoordinateInformationLine(int x, int y, java.awt.geom.Point2D llp, java.lang.Object source)` The main function of this class
`java.lang.String` | `getPrettyName()` A name, suitable for GUI display, of this formatter.

Methods inherited from interface com.bbn.openmap.PropertyConsumer
`getProperties, getPropertyInfo, getPropertyPrefix, setProperties, setProperties, setPropertyPrefix`

Method Detail

### createCoordinateInformationLine

    java.lang.String createCoordinateInformationLine(int x,
                                                     int y,
                                                     java.awt.geom.Point2D llp,
                                                     java.lang.Object source)

  The main function of this class

  Parameters:
    `x` - the x pixel coordinate of the map, 0 is left side.
    `y` - the y pixel coordinate of the map, 0 is top.
    `llp` - the LatLonPoint represented by the pixel location.
    `source` - the object calling this method.
  Returns:
    String with coordinate info on it.

### getPrettyName

    java.lang.String getPrettyName()

  A name, suitable for GUI display, of this formatter.

  Returns:
    String for pretty name for formatter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details